<div
  id="{{line.id}}"
  class="miam-basket-preview-line"
  [ngClass]="{clickable: line.hasEntries() || line.displayMode, expanded: expanded, elevate : selectItem}"
  (click)="line.displayMode ? toggleRecipeDisplay($event) : toggleExpanded($event)"
>
  <ng-container *ngIf="!selectItem else selectTemplate">
    <div class="miam-basket-preview-line__item">
      <div class="miam-basket-preview-line__item__left">
        <div *ngIf="!uniqueLine && !line.displayMode" class="miam-basket-preview-line__item__remove" (click)="removeLine($event)">
          <ng-miam-icon [iconName]='icon.Trash' height='24' width='24' primaryColor='var(--m-color-grey-dark)'></ng-miam-icon>
        </div>
        <div class="miam-basket-preview-line__item__picture">
          <img (click)="toggleRecipeDisplay($event)" [src]="line.picture">
        </div>
        <div class="miam-basket-preview-line__item__details">
          <strong (click)="toggleRecipeDisplay($event)" class="miam-basket-preview-line__item__title">
            {{ line.title }}
          </strong>
          <div class="miam-basket-preview-line__item__description">
            <div *ngFor="let item of line.description">{{ item }}</div>
          </div>
          <div class="miam-basket-preview-line__item__actions">
            <div *ngIf="(line.hasEntries() && !uniqueLine)" class="miam-basket-preview-line__item__showDetails">
              {{ expanded ? 'Masquer' : 'Voir' }} le détail
            </div>
            <div *ngIf="line.displayMode" class="miam-basket-preview-line__item__showDetails">
              Voir la recette
            </div>
            <div *ngIf="!line.isRecipe && line?.record?.candidateItems?.length > 0" class="miam-basket-preview-line__item__change">
              <a (click)="changeProduct(line)" [ngClass]="{'disable': disableItemSelector}"
                class="miam-basket-preview-line__item__change__link">Changer d'article</a>
            </div>
            <div *ngIf="line.inlineTag" class="miam-basket-preview-line__item__inlineTag__container">
              <span class="miam-basket-preview-line__item__inlineTag">{{ line.inlineTag }}</span>
            </div>
          </div>
        </div>
      </div>
      <div class="miam-basket-preview-line__item__right">
        <div class="miam-basket-preview-line__item__price">
          <span>{{ priceIntegerPart() }},</span>
          <span>{{ priceDecimalPart() }}</span>   
          <span> €</span></div>
        <div class="miam-basket-preview-line__item__count">
          <div *ngIf="line.isRecipe" class="miam-basket-preview-line__item__count__for">pour</div>
          <ng-miam-counter-input [counter]="line.count" (counterChange)="changeCount($event)" [minRange]="line.isRecipe ? 1 : 0">
          </ng-miam-counter-input>
          <div *ngIf="line.isRecipe" class="miam-basket-preview-line__item__count__people">personne{{ line.count > 1 ? 's' : '' }}</div>
        </div>
        <div *ngIf="line.displayMode" class="miam-basket-preview-line__add__button">
          <button class="m-button-fab-primary" (click)="toggleRecipeDisplay($event, true)">
            <ng-miam-icon [width]="24" [height]="24" primaryColor='#fff' [iconName]="icon.Cart"></ng-miam-icon>
          </button>
        </div>
      </div>
    </div>
  </ng-container>
  <ng-template #selectTemplate>
    <ng-miam-replace-item [line]="line" (selected)="productChoosen($event)"></ng-miam-replace-item>
  </ng-template>
</div>

<div class="miam-basket-preview-lines" *ngIf="expanded">
  <div *ngIf="!loading else loader">
    <ng-miam-basket-preview-line *ngFor="let entryLine of entriesLines$ | async" [line]="entryLine"
      (removed)="deleteEntry($event.record)" [blockStates]='blockStates'></ng-miam-basket-preview-line>
    <ng-miam-basket-preview-disabled *ngIf="line.entries.notFound.length > 0" [entries]="line.entries.notFound"
      mode="unavailable"></ng-miam-basket-preview-disabled>
    <ng-miam-basket-preview-disabled *ngIf="line.entries.oftenDeleted.length > 0" [entries]="line.entries.oftenDeleted"
      mode="oftenDeleted" (entryAdded)="addEntry($event)"></ng-miam-basket-preview-disabled>
    <ng-miam-basket-preview-disabled *ngIf="line.entries.removed.length > 0" [entries]="line.entries.removed"
      mode="removed" [reduced]="true" (entryAdded)="addEntry($event)"></ng-miam-basket-preview-disabled>
  </div>
  <ng-template #loader>
    <div class="miam-basket-preview-line__loader-container" >
      <ng-miam-loader></ng-miam-loader>
      <div>Calcul des ingrédients...</div>
    </div>
  </ng-template>
</div>